# Widget (Website)

This class of endpoints provide access to information that can be used for widgets in a website. These endpoints are **not protected** by the API access control.

### Process

Fetch minimal statistics about a process. You need to know the process ID.

{% tabs %}
{% tab title="Curl" %}

```bash
curl http://127.0.0.1:8080/api/v3/widget/process/someid \
   -H 'accept: application/json' \
   -X GET
```

{% endtab %}

{% tab title="PyClient" %}

```python
from core_client import Client

client = Client(
    base_url="http://127.0.0.1:8080"
)
client.login()

core_widget_process = client.v3_widget_get_process(
    id="test"
)
print(core_widget_process)
```

{% endtab %}

{% tab title="GoClient" %}
This is not implemented in the GoClient.
{% endtab %}
{% endtabs %}

{% openapi src="/files/AUmcih4nC1IX6QuhfO8m" path="/api/v3/widget/process/{id}" method="get" %}
[doc.json](https://951110271-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FAQRvnKSkK1SsZB0HeYhh%2Fuploads%2F3duUHhkhwH69BGLlHYga%2Fdoc.json?alt=media\&token=dcd2b063-c826-4652-9a98-c265ec41a469)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datarhei.com/core/api-ffmpeg/widget-website.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
